petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSAdaptDSPSetFilter

Sets internal parameters corresponding to the named filter

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptDSPSetFilter(TSAdapt adapt,const char *name)

Collective on TSAdapt

### Input Arguments

| adapt | - adaptive controller context
| name | - filter name

References: http://dx.doi.org/10.1145/641876.641877

### Notes

Valid filter names are

| "basic" | - similar to TSADAPTBASIC but with different criteria for step rejections.
| "PI30", "PI42", "PI33", "PI34" | - PI controlers.
| "PC11", "PC47", "PC36" | - predictive controllers.
| "H0211", "H211b", "H211PI" | - digital filters with orders dynamics=2, adaptivity=1, filter=1.
| "H0312", "H312b", "H312PID" | - digital filters with orders dynamics=3, adaptivity=1, filter=2.
| "H0321", "H321" | - digital filters with orders dynamics=3, adaptivity=2, filter=1.

### Options Database

-ts_adapt_dsp_filter <name> -

### See Also

TS, TSAdapt, TSGetAdapt(), TSAdaptDSPSetFilter()

### Level

intermediate

### Location

src/ts/adapt/impls/dsp/adaptdsp.c

### Implementations

TSAdaptDSPSetFilter_DSP in src/ts/adapt/impls/dsp/adaptdsp.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages